Bug 1956644 - Liveness probe does not respect the next periodSeconds if timeoutSeconds over periodSeconds
Summary: Liveness probe does not respect the next periodSeconds if timeoutSeconds over...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Michael Burke
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1954351
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 07:02 UTC by Kazuhisa Hara
Modified: 2021-05-14 12:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1954351
Environment:
Last Closed: 2021-05-14 12:40:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Michael Burke 2021-05-05 15:30:09 UTC
Kazuhisa --

Does this rule apply to all health probes< Liveness, Readiness, and Startup? 

If so, can you please take a look at my PR? I added a note in multiple locations and added the default values for `periodseconds` and `timeoutSeconds` where appropriate.

https://github.com/openshift/openshift-docs/pull/32219

Thank you in advance.

Michael

Comment 5 Kazuhisa Hara 2021-05-06 03:54:50 UTC
Hello Michael,

Thank you for your effort.
I got same results to this summary with Readiness.
Therefore, I think the commit you wrote is correct and it looks great.

Thank you!
Kazuhisa

Comment 6 MinLi 2021-05-10 04:06:00 UTC
Hi, Michael

I comment on your pr, please take a look. Thanks


Note You need to log in before you can comment on or make changes to this bug.